# Interface SheetDto

Data transfer object for markup sheets, this represents the sheet data that will be saved to the layer.

interface SheetDto {
entities: { [id: string]: MarkupEntityDto };
id: string;
properties: { [key: string]: string | number | boolean };
type: Sheet;
}

#### Hierarchy (View Summary)

- EntityBaseDto
  - SheetDto

##### Index

### Properties

entities
id
properties
type

## Properties

### entities

entities: { [id: string]: MarkupEntityDto }

### id

id: string

Inherited from EntityBaseDto.id

### properties

properties: { [key: string]: string | number | boolean }

Inherited from EntityBaseDto.properties

### type

type: Sheet